<?php
if(!function_exists('nimmo_configs')){
    function nimmo_configs($value){
        $primary_color = nimmo_get_opt('primary_color');
        $primary_color_p = nimmo_get_page_opt('primary_color_p');
        if(!empty($primary_color_p)) {
            $primary_color = $primary_color_p;
        }
        
        $secondary_color = nimmo_get_opt('secondary_color');
        $secondary_color_p = nimmo_get_page_opt('secondary_color_p');
        if(!empty($secondary_color_p)) {
            $secondary_color = $secondary_color_p;
        }

        $gradient_color = nimmo_get_opt('gradient_color');
        $gradient_color_page = nimmo_get_page_opt('gradient_color_page');
        if(!empty($gradient_color_page['from'])) {
            $gradient_color['from'] = $gradient_color_page['from'];
        }
        if(!empty($gradient_color_page['to'])) {
            $gradient_color['to'] = $gradient_color_page['to'];
        }
        $configs = [
            'theme_colors' => [
                'primary'   => [
                    'title' => esc_html__('Primary', 'nimmo'), 
                    'value' => $primary_color
                ],
                'secondary'   => [
                    'title' => esc_html__('Secondary', 'nimmo'), 
                    'value' => $secondary_color
                ],
                'third'   => [
                    'title' => esc_html__('Third', 'nimmo'), 
                    'value' => nimmo_get_opt('third_color', '#79CD1C')
                ]
            ],
            'link' => [
                'color' => nimmo_get_opt('link_color', ['regular' => '#3396EC'])['regular'],
                'color-hover'   => nimmo_get_opt('link_color', ['hover' => '#19CAD0'])['hover'],
                'color-active'  => nimmo_get_opt('link_color', ['active' => '#19CAD0'])['active'],
            ],
            'gradient' => [
                'color-from' => nimmo_get_opt('gradient_color', ['from' => '#0841c6'])['from'],
                'color-to' => nimmo_get_opt('gradient_color', ['to' => '#05c6fb'])['to'],
            ],
            'gradient2' => [
                'color-from' => nimmo_get_opt('gradient_color2', ['from' => '#701ad1'])['from'],
                'color-to' => nimmo_get_opt('gradient_color2', ['to' => '#f700e3'])['to'],
            ],
            'gradient3' => [
                'color-from' => nimmo_get_opt('gradient_color3', ['from' => '#32c6f6'])['from'],
                'color-to' => nimmo_get_opt('gradient_color3', ['to' => '#0042ff'])['to'],
            ],
               
        ];
        return $configs[$value];
    }
}
if(!function_exists('nimmo_inline_styles')) {
    function nimmo_inline_styles() {  
        
        $theme_colors      = nimmo_configs('theme_colors');
        $link_color        = nimmo_configs('link');
        $gradient_color        = nimmo_configs('gradient');
        $gradient_color2        = nimmo_configs('gradient2');
        $gradient_color3        = nimmo_configs('gradient3');
        ob_start();
        echo ':root{';
            
            foreach ($theme_colors as $color => $value) {
                printf('--%1$s-color: %2$s;', str_replace('#', '',$color),  $value['value']);
            }
            foreach ($theme_colors as $color => $value) {
                printf('--%1$s-color-rgb: %2$s;', str_replace('#', '',$color),  nimmo_hex_rgb($value['value']));
            }
            foreach ($link_color as $color => $value) {
                printf('--link-%1$s: %2$s;', $color, $value);
            } 
            foreach ($gradient_color as $color => $value) {
                printf('--gradient-%1$s: %2$s;', $color, $value);
            }
            foreach ($gradient_color2 as $color => $value) {
                printf('--gradient-%1$s2: %2$s;', $color, $value);
            }
            foreach ($gradient_color3 as $color => $value) {
                printf('--gradient-%1$s3: %2$s;', $color, $value);
            }
            foreach ($gradient_color as $color => $value) {
                printf('--gradient-%1$s-rgb: %2$s;', $color, nimmo_hex_rgb($value));
            }
            foreach ($gradient_color2 as $color => $value) {
                printf('--gradient-%1$s-rgb2: %2$s;', $color, nimmo_hex_rgb($value));
            }
            foreach ($gradient_color3 as $color => $value) {
                printf('--gradient-%1$s-rgb3: %2$s;', $color, nimmo_hex_rgb($value));
            }
        echo '}';

        return ob_get_clean();
         
    }
}
 