<?php
vc_map(
    array(
        'name'     => esc_html__('Gallery Grid', 'nimmo'),
        'base'     => 'ct_gallery_grid',
        'class'    => 'ct-icon-element',
        'description' => esc_html__( 'Gallery Displayed', 'nimmo' ),
        'category' => esc_html__('CaseThemes Shortcodes', 'nimmo'),
        'params'   => array(
            
            array(
                'type' => 'attach_images',
                'heading' => esc_html__( 'Images', 'nimmo' ),
                'param_name' => 'ct_images',
                'value' => '',
                'description' => esc_html__( 'Select images from media library.', 'nimmo' ),
            ),

            array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Image size', 'nimmo' ),
                'param_name' => 'img_size',
                'value' => '',
                'description' => esc_html__( 'Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Example: 200x100 (Width x Height).', 'nimmo' ),
            ),

            array(
                "type"             => "dropdown",
                "heading"          => esc_html__( "Columns XS", 'nimmo' ),
                "param_name"       => "col_xs",
                "edit_field_class" => "ct-col-5",
                "value"            => array( 1, 2, 3, 4 ),
                "std"              => 1,
                "group"            => 'Column Settings',
            ),
            array(
                "type"             => "dropdown",
                "heading"          => esc_html__( "Columns SM", 'nimmo' ),
                "param_name"       => "col_sm",
                "edit_field_class" => "ct-col-5",
                "value"            => array( 1, 2, 3, 4 ),
                "std"              => 2,
                "group"            => 'Column Settings',
            ),
            array(
                "type"             => "dropdown",
                "heading"          => esc_html__( "Columns MD", 'nimmo' ),
                "param_name"       => "col_md",
                "edit_field_class" => "ct-col-5",
                "value"            => array( 1, 2, 3, 4, 5 ),
                "std"              => 3,
                "group"            => 'Column Settings',
            ),
            array(
                "type"             => "dropdown",
                "heading"          => esc_html__( "Columns LG", 'nimmo' ),
                "param_name"       => "col_lg",
                "edit_field_class" => "ct-col-5",
                "value"            => array( 1, 2, 3, 4, 5, 6 ),
                "std"              => 4,
                "group"            => 'Column Settings',
            ),
            array(
                "type"             => "dropdown",
                "heading"          => esc_html__( "Columns XL", 'nimmo' ),
                "param_name"       => "col_xl",
                "edit_field_class" => "ct-col-5",
                "value"            => array( 1, 2, 3, 4, 5, 6 ),
                "std"              => 4,
                "group"            => 'Column Settings',
            ),
            array(
                'type' => 'textfield',
                'heading' => esc_html__( 'Extra class name', 'nimmo' ),
                'param_name' => 'el_class',
                'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'nimmo' ),
                'group'            => esc_html__('Extra', 'nimmo')
            ),
            array(
                'type' => 'animation_style',
                'heading' => esc_html__( 'Animation Style', 'nimmo' ),
                'param_name' => 'animation',
                'description' => esc_html__( 'Choose your animation style', 'nimmo' ),
                'admin_label' => false,
                'weight' => 0,
                'group' => esc_html__('Extra', 'nimmo'),
            ),
        )
    )
);

class WPBakeryShortCode_ct_gallery_grid extends CmsShortCode
{
    protected function content($atts, $content = null)
    {
        $html_id = cmsHtmlID('ct-grid-gallery');
        $atts['html_id'] = $html_id;
        return parent::content($atts, $content);
    }
}

?>